% \begin{table}[H]
    \label{tbl:simpleImlpcent}
    \small\begin{longtable}{|ccc|cccc|ccccc|c|c|} 
        \hline
        \multicolumn{3}{|c|}{ $K^0(f) \cup N(f)$ } & \multicolumn{4}{c|}{$K^1(f)$ } & \multicolumn{5}{c|}{$K^2(f)$ } & $K^3(f)$       & $Z(f)$   \\        \hline
        1  & 00001 & \checkmark                                                                                   & 1  & 00x01 &   & 1-4     & 1 & xx001 &  & 2-11  & 3-9              & $\varnothing$ & 00x01              \\
        2  & 00100 & \checkmark                                                                                   & 2  & 0x001 & \checkmark & 1-5     & 2 & 10x1x &  & 12-17 & 13-16            &      & 0010x              \\
        3  & 01000 & \checkmark                                                                                   & 3  & x0001 & \checkmark & 1-7     & 3 & 1xx10 &  & 13-20 & 14-18            &      & 0x100              \\ 
        \cline{1-3}
        4  & 00101 & \checkmark                                                                                   & 4  & 0010x &   & 2-4     & 4 & 1x11x &  & 17-24 & 18-22            &      & 0100x              \\
        5  & 01001 & \checkmark                                                                                   & 5  & 0x100 &   & 2-6     & \multicolumn{5}{l|}{\multirow{20}{*}{}} &      & 01x00              \\
        6  & 01100 & \checkmark                                                                                   & 6  & 0100x &   & 3-5     & \multicolumn{5}{l|}{}                   &      & 010x1              \\
        7  & 10001 & \checkmark                                                                                   & 7  & 01x00 &   & 3-6     & \multicolumn{5}{l|}{}                   &      & 100x1              \\ 
        \cline{4-7}
        8  & 10010 & \checkmark                                                                                   & 8  & 010x1 &   & 5-9     & \multicolumn{5}{l|}{}                   &      & 01x11              \\ 
        \cline{1-3}
        9  & 01011 & \checkmark                                                                                   & 9  & x1001 & \checkmark & 5-12    & \multicolumn{5}{l|}{}                   &      & 11x01              \\
        10 & 10011 & \checkmark                                                                                   & 10 & 100x1 &   & 7-10    & \multicolumn{5}{l|}{}                   &      & x1111              \\
        11 & 10110 & \checkmark                                                                                   & 11 & 1x001 & \checkmark & 7-12    & \multicolumn{5}{l|}{}                   &      & 111x1              \\
        12 & 11001 & \checkmark                                                                                   & 12 & 1001x & \checkmark & 8-10    & \multicolumn{5}{l|}{}                   &      & xx001              \\
        13 & 11010 & \checkmark                                                                                   & 13 & 10x10 & \checkmark & 8-11    & \multicolumn{5}{l|}{}                   &      & 10x1x              \\ 
        \cline{1-3}
        14 & 01111 & \checkmark                                                                                   & 14 & 1x010 & \checkmark & 8-13    & \multicolumn{5}{l|}{}                   &      & 1xx10              \\ 
        \cline{4-7}
        15 & 10111 & \checkmark                                                                                   & 15 & 01x11 &   & 9-14    & \multicolumn{5}{l|}{}                   &      & 1x11x              \\
        16 & 11101 & \checkmark                                                                                   & 16 & 10x11 & \checkmark & 10-15   & \multicolumn{5}{l|}{}                   &      & \multirow{9}{*}{}  \\
        17 & 11110 & \checkmark                                                                                   & 17 & 1011x & \checkmark & 11-15   & \multicolumn{5}{l|}{}                   &      &                    \\ 
        \cline{1-3}
        18 & 11111 & \checkmark                                                                                   & 18 & 1x110 & \checkmark & 11-17   & \multicolumn{5}{l|}{}                   &      &                    \\
        \multicolumn{3}{|l|}{\multirow{6}{*}{}}                                                          & 19 & 11x01 &   & 12-16   & \multicolumn{5}{l|}{}                   &      &                    \\
        \multicolumn{3}{|l|}{}                                                                           & 20 & 11x10 & \checkmark & 13-17   & \multicolumn{5}{l|}{}                   &      &                    \\ 
        \cline{4-7}
        \multicolumn{3}{|l|}{}                                                                           & 21 & x1111 &   & 14-18   & \multicolumn{5}{l|}{}                   &      &                    \\
        \multicolumn{3}{|l|}{}                                                                           & 22 & 1x111 & \checkmark & 15-18   & \multicolumn{5}{l|}{}                   &      &                    \\
        \multicolumn{3}{|l|}{}                                                                           & 23 & 111x1 &   & 16-18   & \multicolumn{5}{l|}{}                   &      &                    \\
        \multicolumn{3}{|l|}{}                                                                           & 24 & 1111x & \checkmark & 17-18   & \multicolumn{5}{l|}{}                   &      &                    \\
        \hline
    \end{longtable}

% \end{table}